# coding: utf-8

"""
    Slurm Rest API

    API to access and control Slurm.

    The version of the OpenAPI document: 0.0.37
    Contact: sales@schedmd.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field
from typing import Any, ClassVar, Dict, List, Optional
from aind_slurm_rest.models.dbv0036_error import Dbv0036Error
from aind_slurm_rest.models.dbv0037_tres_list_inner import Dbv0037TresListInner
from typing import Optional, Set
from typing_extensions import Self

class Dbv0036TresInfo(BaseModel):
    """
    Dbv0036TresInfo
    """ # noqa: E501
    errors: Optional[List[Dbv0036Error]] = Field(default=None, description="Slurm errors")
    tres: Optional[List[List[Dbv0037TresListInner]]] = Field(default=None, description="Array of tres")
    __properties: ClassVar[List[str]] = ["errors", "tres"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of Dbv0036TresInfo from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of each item in errors (list)
        _items = []
        if self.errors:
            for _item_errors in self.errors:
                if _item_errors:
                    _items.append(_item_errors.to_dict())
            _dict['errors'] = _items
        # override the default output from pydantic by calling `to_dict()` of each item in tres (list of list)
        _items = []
        if self.tres:
            for _item_tres in self.tres:
                if _item_tres:
                    _items.append(
                         [_inner_item.to_dict() for _inner_item in _item_tres if _inner_item is not None]
                    )
            _dict['tres'] = _items
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of Dbv0036TresInfo from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "errors": [Dbv0036Error.from_dict(_item) for _item in obj["errors"]] if obj.get("errors") is not None else None,
            "tres": [
                    [Dbv0037TresListInner.from_dict(_inner_item) for _inner_item in _item]
                    for _item in obj["tres"]
                ] if obj.get("tres") is not None else None
        })
        return _obj


