# coding: utf-8

"""
    Slurm Rest API

    API to access and control Slurm.

    The version of the OpenAPI document: 0.0.37
    Contact: sales@schedmd.com
    Generated by OpenAPI Generator (https://openapi-generator.tech)

    Do not edit the class manually.
"""  # noqa: E501


from __future__ import annotations
import pprint
import re  # noqa: F401
import json

from pydantic import BaseModel, ConfigDict, Field, StrictInt
from typing import Any, ClassVar, Dict, List, Optional
from aind_slurm_rest.models.dbv0037_job_time_system import Dbv0037JobTimeSystem
from aind_slurm_rest.models.dbv0037_job_time_total import Dbv0037JobTimeTotal
from aind_slurm_rest.models.dbv0037_job_time_user import Dbv0037JobTimeUser
from typing import Optional, Set
from typing_extensions import Self

class Dbv0037JobTime(BaseModel):
    """
    Time properties
    """ # noqa: E501
    elapsed: Optional[StrictInt] = Field(default=None, description="Total time elapsed")
    eligible: Optional[StrictInt] = Field(default=None, description="Total time eligible to run")
    end: Optional[StrictInt] = Field(default=None, description="Timestamp of when job ended")
    start: Optional[StrictInt] = Field(default=None, description="Timestamp of when job started")
    submission: Optional[StrictInt] = Field(default=None, description="Timestamp of when job submitted")
    suspended: Optional[StrictInt] = Field(default=None, description="Timestamp of when job last suspended")
    system: Optional[Dbv0037JobTimeSystem] = None
    total: Optional[Dbv0037JobTimeTotal] = None
    user: Optional[Dbv0037JobTimeUser] = None
    limit: Optional[StrictInt] = Field(default=None, description="Job wall clock time limit")
    __properties: ClassVar[List[str]] = ["elapsed", "eligible", "end", "start", "submission", "suspended", "system", "total", "user", "limit"]

    model_config = ConfigDict(
        populate_by_name=True,
        validate_assignment=True,
        protected_namespaces=(),
    )


    def to_str(self) -> str:
        """Returns the string representation of the model using alias"""
        return pprint.pformat(self.model_dump(by_alias=True))

    def to_json(self) -> str:
        """Returns the JSON representation of the model using alias"""
        # TODO: pydantic v2: use .model_dump_json(by_alias=True, exclude_unset=True) instead
        return json.dumps(self.to_dict())

    @classmethod
    def from_json(cls, json_str: str) -> Optional[Self]:
        """Create an instance of Dbv0037JobTime from a JSON string"""
        return cls.from_dict(json.loads(json_str))

    def to_dict(self) -> Dict[str, Any]:
        """Return the dictionary representation of the model using alias.

        This has the following differences from calling pydantic's
        `self.model_dump(by_alias=True)`:

        * `None` is only added to the output dict for nullable fields that
          were set at model initialization. Other fields with value `None`
          are ignored.
        """
        excluded_fields: Set[str] = set([
        ])

        _dict = self.model_dump(
            by_alias=True,
            exclude=excluded_fields,
            exclude_none=True,
        )
        # override the default output from pydantic by calling `to_dict()` of system
        if self.system:
            _dict['system'] = self.system.to_dict()
        # override the default output from pydantic by calling `to_dict()` of total
        if self.total:
            _dict['total'] = self.total.to_dict()
        # override the default output from pydantic by calling `to_dict()` of user
        if self.user:
            _dict['user'] = self.user.to_dict()
        return _dict

    @classmethod
    def from_dict(cls, obj: Optional[Dict[str, Any]]) -> Optional[Self]:
        """Create an instance of Dbv0037JobTime from a dict"""
        if obj is None:
            return None

        if not isinstance(obj, dict):
            return cls.model_validate(obj)

        _obj = cls.model_validate({
            "elapsed": obj.get("elapsed"),
            "eligible": obj.get("eligible"),
            "end": obj.get("end"),
            "start": obj.get("start"),
            "submission": obj.get("submission"),
            "suspended": obj.get("suspended"),
            "system": Dbv0037JobTimeSystem.from_dict(obj["system"]) if obj.get("system") is not None else None,
            "total": Dbv0037JobTimeTotal.from_dict(obj["total"]) if obj.get("total") is not None else None,
            "user": Dbv0037JobTimeUser.from_dict(obj["user"]) if obj.get("user") is not None else None,
            "limit": obj.get("limit")
        })
        return _obj


